summaryrefslogtreecommitdiff
path: root/community/ccid
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /community/ccid
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'community/ccid')
-rw-r--r--community/ccid/PKGBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/community/ccid/PKGBUILD b/community/ccid/PKGBUILD
new file mode 100644
index 000000000..4d4c4665d
--- /dev/null
+++ b/community/ccid/PKGBUILD
@@ -0,0 +1,29 @@
+# $Id: PKGBUILD 40459 2011-02-24 02:16:11Z giovanni $
+# Maintainer: Giovanni Scafora <giovanni@archlinux.org>
+# Contributor: Daniel Plaza <daniel.plaza.espi@gmail.com>
+
+pkgname=ccid
+pkgver=1.4.2
+pkgrel=1
+pkgdesc="A generic USB Chip/Smart Card Interface Devices driver"
+arch=('i686' 'x86_64')
+url="http://pcsclite.alioth.debian.org/ccid.html"
+license=('LGPL' 'GPL')
+depends=('pcsclite')
+makedepends=('pkgconfig')
+backup=(etc/reader.conf.d/libccidtwin)
+source=(https://alioth.debian.org/frs/download.php/3518/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('4a8f954c0aef48e8e5ab5d458cf819e8')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --enable-twinserial || return 1
+
+ make || return 1
+ make DESTDIR="${pkgdir}" install || return 1
+
+ install -D -m644 src/92_pcscd_ccid.rules "${pkgdir}/lib/udev/rules.d/85-pcscd-ccid.rules" || return 1
+}